Summary: Perl module for using OpenSSL
Name: perl-Net-SSLeay
Requires: perl
Packager: Horms <horms@verge.net.au>
Version: 1.25
Release: 1.rh.el.um.1
Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Source: http://www.cpan.org/modules/by-module/Net/Net_SSLeay.pm-%{version}.tar.gz
Patch: Net_SSLeay.pm-1.23.leak.patch
URL: http://www.cpan.org/modules/by-module/Net/Net_SSLeay.pm-%{version}.readme
BuildRoot: /var/tmp/%{name}-root
BuildPreReq: perl, openssl-devel
Requires: perl

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Net::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by
Eric Young (eay@cryptsoft.com)

%prep
%setup -n Net_SSLeay.pm-%version
%patch -p1

%build
eval `perl -V:prefix`
echo $PATH
which pod2man
perl Makefile.PL -- CCFLAGS="${RPM_OPT_FLAGS} -DPERL5" \
	"PREFIX=$RPM_BUILD_ROOT/$prefix"
make

%install
# These eval statements used to be one line, but
# that doesn't appear to work on Red Hat 9
eval `perl -V:installsitelib`
eval `perl -V:installsitearch`
eval `perl -V:man3dir`
rm -rf "$RPM_BUILD_ROOT"
make install
rm -f "$RPM_BUILD_ROOT/${installsitearch}/perllocal.pod" \
      "$RPM_BUILD_ROOT/${installsitearch}/Net/ptrtstrun.pl" \
      "$RPM_BUILD_ROOT/${installsitearch}/auto/Net/SSLeay/.packlist"
echo "${installsitearch}/auto/Net" > filelist
echo "${installsitearch}/Net" >> filelist
echo "${man3dir}/*" >> filelist

%clean
rm -rf "$RPM_BUILD_DIR/Net-SSLeay.pm-%{version}"
rm -rf "$RPM_BUILD_ROOT"

%files -f filelist
%defattr(-,root,root)
%doc README

%changelog
* Thu Jan 27 2005 Horms <horms@verge.net.au> (1.25-1.rh.el.um.1)
- Updated to 0.25

* Tue Mar 18 2003 Horms <horms@verge.net.au> (1.23-1.rh.el.um.1)
- Updated to 0.22
- Included memory leak patch
- Updated packaging to work with rpm 4.1

* Mon Jul 29 2002 Horms <horms@verge.net.au>
- Updated to 0.18

* Tue May  2 2000 Horms <horms@verge.net.au>
- Reomve dependancy on "SSL"

* Thu Apr 27 2000 Horms <horms@verge.net.au>
- Files will now install as root on a non-root user build RPM

* Tue Apr 25 2000 Horms <horms@verge.net.au>
- Fixed %clean so BUILD_DIR is removed

* Wed Feb 16 2000 Horms <horms@verge.net.au>
- made for version 0.05
- Inspired by perl packages built by alien

